com.io7m.jcanephora.core

## Enum JCGLPixelFormat

- java.lang.Object
- - java.lang.Enum<JCGLPixelFormat>
  - - com.io7m.jcanephora.core.JCGLPixelFormat

- All Implemented Interfaces:
    Serializable, Comparable<JCGLPixelFormat>

      public enum JCGLPixelFormat
      extends Enum<JCGLPixelFormat>

  The type of pixel data in client memory.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PIXEL_COMPONENT_BYTE` 8-bit signed bytes.
    `PIXEL_COMPONENT_FLOAT` 32-bit floating point values.
    `PIXEL_COMPONENT_HALF_FLOAT` 16-bit floating point values.
    `PIXEL_COMPONENT_INT` 32-bit signed integers.
    `PIXEL_COMPONENT_SHORT` 16-bit signed integers.
    `PIXEL_COMPONENT_UNSIGNED_BYTE` 8-bit unsigned bytes.
    `PIXEL_COMPONENT_UNSIGNED_INT` 32-bit unsigned integers.
    `PIXEL_COMPONENT_UNSIGNED_SHORT` 16-bit unsigned integers.
    `PIXEL_PACKED_UNSIGNED_INT_1010102` A packed 32-bit unsigned integer.
    `PIXEL_PACKED_UNSIGNED_INT_24_8` A packed 32-bit unsigned integer.
    `PIXEL_PACKED_UNSIGNED_SHORT_4444` 16-bit packed unsigned integers.
    `PIXEL_PACKED_UNSIGNED_SHORT_5551` 16-bit packed unsigned integers.
    `PIXEL_PACKED_UNSIGNED_SHORT_565` 16-bit packed unsigned integers.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLPixelFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLPixelFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PIXEL_COMPONENT_BYTE

          public static final JCGLPixelFormat PIXEL_COMPONENT_BYTE

      8-bit signed bytes.

    - #### PIXEL_COMPONENT_FLOAT

          public static final JCGLPixelFormat PIXEL_COMPONENT_FLOAT

      32-bit floating point values.

    - #### PIXEL_COMPONENT_HALF_FLOAT

          public static final JCGLPixelFormat PIXEL_COMPONENT_HALF_FLOAT

      16-bit floating point values.

    - #### PIXEL_COMPONENT_INT

          public static final JCGLPixelFormat PIXEL_COMPONENT_INT

      32-bit signed integers.

    - #### PIXEL_COMPONENT_SHORT

          public static final JCGLPixelFormat PIXEL_COMPONENT_SHORT

      16-bit signed integers.

    - #### PIXEL_COMPONENT_UNSIGNED_BYTE

          public static final JCGLPixelFormat PIXEL_COMPONENT_UNSIGNED_BYTE

      8-bit unsigned bytes.

    - #### PIXEL_COMPONENT_UNSIGNED_INT

          public static final JCGLPixelFormat PIXEL_COMPONENT_UNSIGNED_INT

      32-bit unsigned integers.

    - #### PIXEL_COMPONENT_UNSIGNED_SHORT

          public static final JCGLPixelFormat PIXEL_COMPONENT_UNSIGNED_SHORT

      16-bit unsigned integers.

    - #### PIXEL_PACKED_UNSIGNED_INT_1010102

          public static final JCGLPixelFormat PIXEL_PACKED_UNSIGNED_INT_1010102

      A packed 32-bit unsigned integer.

    - #### PIXEL_PACKED_UNSIGNED_INT_24_8

          public static final JCGLPixelFormat PIXEL_PACKED_UNSIGNED_INT_24_8

      A packed 32-bit unsigned integer.

    - #### PIXEL_PACKED_UNSIGNED_SHORT_4444

          public static final JCGLPixelFormat PIXEL_PACKED_UNSIGNED_SHORT_4444

      16-bit packed unsigned integers.

    - #### PIXEL_PACKED_UNSIGNED_SHORT_5551

          public static final JCGLPixelFormat PIXEL_PACKED_UNSIGNED_SHORT_5551

      16-bit packed unsigned integers.

    - #### PIXEL_PACKED_UNSIGNED_SHORT_565

          public static final JCGLPixelFormat PIXEL_PACKED_UNSIGNED_SHORT_565

      16-bit packed unsigned integers.

  - ### Method Detail

    - #### values

          public static JCGLPixelFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLPixelFormat c : JCGLPixelFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLPixelFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com